Subject: Re: Mingw32 Futures
From: [email-masked] (Bartlee A. Anderson)

24 Feb 1998 02:42:55 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

EGCS works fine without cygwin.dll, I simply can't do much without
all the unixy extras I've come to depend on, so I just keep cygwin
around for the utils like bash, but we're working on porting more.
I'd say EGCS and GCC2.8.0 are ~equivalent. (my opinion) EGCS is just
maybe more bleading edge, but I like it. EGCS derived from Jan-Jaap's
original work BTW.
Bart
Paul Garceau wrote:
> 
> Greetings,
> 
> On 19 Feb 98 at 16:05, the Illustrious Colin Peters wrote:
> 
> > Hello all,
> >
> > I hope those of you who do not use or have any interest in Mingw32 don't
> > mind me taking up a bit of bandwidth with strictly Mingw32 issues on this
> > list. On the other hand I hope that people in positions of
> > power/authority and/or interested users might take a moment to give their
> > opinions.
> >
> > First of all, I'd like to make a little terminology clear. When I talk
> > about Mingw32 I mean the header files, configuration files, startup code
> > and support libraries that allow gcc to build applications which use
> > CRTDLL.DLL (or possibly other MS supplied C run time library DLLs) as
> > their C run time library.
> 
>         I would call this your basic Mingw32 distribution set.
> 
> >Many posters refer to "Mingw32 2.8.0" which is
> > actually the GNU compiler gcc version 2.8.0 built by Jan-Jaap using the
> > Mingw32 headers and distributed bundled with those headers. I'd call that
> > Mingw32 gcc 2.8.0.
> 
>         I would call this a Mingw32 "extension".  The version referenced here
> includes all of the "basic Mingw32 distribution" in much the same way that
> C++ is a subset of C.
> 
>         Since Jan-Jaap has been maintaining and updating this "extension", the
> original mingw32 distribution is now capable of handling dx3 and OpenGL in
> both C and C++ forms.  This "extended" version has been qualified as part
> of the FSF packages.  It can also co-exist with cygwin32.dll without any
> apparent problems so far.
> 
>         I am not sure where Mumit Khans' version fits in here, though I
> understand that EGCS is supposedly considered the ragged edge of cygwin32.
> 
> >
> > That is typical of the "problems" I am having right now. Basically, there
> > are at least three versions of the gcc compiler distribution which either
> > have or plan to have Mingw32 integrated into them. Jan jaap's Mingw32 gcc
> > 2.8.0, Mumit Khan's releases of EGCS for Mingw32, Cygwin32 gcc (perhaps
> > starting with b20) and maybe the FSF version of gcc.
> 
> >
> > I have no problem with this at all. I put that code in the public domain
> > so people could use it. However, I am basically the defacto maintainer of
> > the Mingw32 source base until someone tells me otherwise, and so my
> > questions are something like this:
> >
> > 1. Mingw32 is basically a C run time library replacement. As I understand
> > it gcc is usually bundled with the GNU C library (libc and libm) among
> > other libraries. Cygwin32's newlib is similar (with a more ambitious
> > goal). Has anyone seriously thought about how this should fit together?
> > If *I* thought about it who would I need to talk to about implementing it
> > (newsgroups? mailing lists?)?
> 
>         The most recent information indicates that gcc/++ 2.8.1 will have the
> mingw32 headers, etc. (basic Mingw32 distribution) completely integrated
> as well as full compatibility with the Cygwin32.dll by simply including
> the cygwin32.dll in the distribution.
> 
>         As far as I can tell, Cygwin32 is basically the first cross-platform
> extension of gcc/c++ since, as far as I can tell, Cygwin32 takes programs
> originally coded on Unix or Unix-like (Linux) platforms and allows them to
> be "more-or-less" directly ported to Wintel based machines such as the
> WinNT4/5 and Win95/98 based platforms with little or no changes.
> 
>         Mingw32 would not exist if Cygwin32 did not have some sort of previous
> existence prior to the Mingw32 (v0.4) date of availability.
> 
>         Apparently EGCS requires the "basic" Mingw32 distribution as authored by
> Colin Peters.  The "extended" Mingw32 distribution, as authored by
> Jan-Jaap, requires the "basic" Mingw32 distribution in order to function
> properly as far as I can tell.
> 
>         Here's a question for Jan-Jaap:
> 
>         What is the status of the Mingw32 extension in regards to gcc/++ 2.8.1?
> 
>         [Disclaimer:  I haven't followed EGCS near as closely as I have Mingw32.
> Even so, it is my impression that EGCS requires both the cygwin32.dll and
> the crtdll.dll in order to function properly, "out of the box".]
> 
>         Apparently, all of the Mingw32 variations (including the EGCS variation),
> regardless of "type", "class" or author, revolve around the existence of
> the cygwin32 distribution.
> 
>         Without Cygwin32, Mingw32 and EGCS would likely not exist in the form(s)
> that they do now.
> 
>         This would indicate to me that the best solution may be to issue three
> variations of cygwin32.
> 
>  a) Cygwin32 with Unix layer  (Cygwin32)
>  b) Cygwin32 without Unix layer (Minimalist Cygwin32)
>  c) Cygwin32, the ragged edge (EGCS)
> 
>         Comments, feedback?
> 
>         Peace,
> 
>                 Paul G.
> 
> Information Systems Consultant
> NewDawn Productions
> http://www.teleport.com/~pgarceau/taliesin
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".